Skip to main content
POST
/
v1
/
passes
curl -X POST https://sim.rotastellar.com/v1/passes \
  -H "Content-Type: application/json" \
  -d '{
    "elements": {
      "altitude_km": 550,
      "inclination_deg": 53
    },
    "duration_hours": 24,
    "min_elevation_deg": 10
  }'
{
  "passes": [
    {
      "station_id": "gs_svalbard",
      "station_name": "Svalbard",
      "provider": "KSAT",
      "aos": "2026-03-08T12:34:56Z",
      "los": "2026-03-08T12:45:23Z",
      "duration_s": 627,
      "max_elevation_deg": 45.6,
      "points": [
        {
          "timestamp": "2026-03-08T12:34:56Z",
          "elevation_deg": 10.0,
          "azimuth_deg": 90.5,
          "range_km": 2500.1
        }
      ]
    }
  ],
  "count": 8,
  "start": "2026-03-08T12:00:00Z",
  "duration_hours": 24,
  "stations_checked": 12
}
Base URL: https://sim.rotastellar.com — No API key required.

Request

elements
object
required
Orbital elements. See Orbital Elements.
start
string
ISO 8601 start time. Defaults to current time.
duration_hours
number
Prediction window in hours. Default: 24. Max: 72.
min_elevation_deg
number
Minimum satellite elevation above horizon (degrees). Default: 5.
ground_stations
array
Custom ground station list. Defaults to the 12-station global network (KSAT, NASA, AWS). Each station needs id, name, lat, lon.
curl -X POST https://sim.rotastellar.com/v1/passes \
  -H "Content-Type: application/json" \
  -d '{
    "elements": {
      "altitude_km": 550,
      "inclination_deg": 53
    },
    "duration_hours": 24,
    "min_elevation_deg": 10
  }'
{
  "passes": [
    {
      "station_id": "gs_svalbard",
      "station_name": "Svalbard",
      "provider": "KSAT",
      "aos": "2026-03-08T12:34:56Z",
      "los": "2026-03-08T12:45:23Z",
      "duration_s": 627,
      "max_elevation_deg": 45.6,
      "points": [
        {
          "timestamp": "2026-03-08T12:34:56Z",
          "elevation_deg": 10.0,
          "azimuth_deg": 90.5,
          "range_km": 2500.1
        }
      ]
    }
  ],
  "count": 8,
  "start": "2026-03-08T12:00:00Z",
  "duration_hours": 24,
  "stations_checked": 12
}

Default Ground Stations

The service includes a 12-station global network:
StationLocationProvider
Svalbard78.2°N, 15.4°EKSAT
Troll72.0°S, 2.5°EKSAT
Awarua46.5°S, 168.4°EKSAT
Fairbanks64.9°N, 147.9°WNASA
Wallops37.9°N, 75.5°WNASA
McMurdo77.9°S, 166.7°ENASA
Singapore1.4°N, 103.8°EAWS
Bahrain26.1°N, 50.5°EAWS
Oregon43.8°N, 120.6°WAWS
Cape Town33.9°S, 18.4°EAWS
Stockholm59.3°N, 18.1°EAWS
Sydney33.9°S, 151.2°EAWS